at.chipkarte.client.elgaad.soap

## Class Zusatzinformation

- Object
- - at.chipkarte.client.elgaad.soap.Zusatzinformation

-     public class Zusatzinformation
      extends Object

  Zusatzinformationen zu Verordnungen/Abgaben.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Zusatzinformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlternativeEinnahme()` Informationen zur alternativen Einnahme (zum Beispiel: Einnahme bei Bedarf).
    `String` | `getErgaenzendeInformation()` Ergänzende Informationen zur Abgabe (zum Beispiel: spezielle Anweisungen für den Apotheker).
    `String` | `getZusatzinformationPatient()` Zusatzinformationen für den Patienten.
    `void` | `setAlternativeEinnahme(String alternativeEinnahme)`
    `void` | `setErgaenzendeInformation(String ergaenzendeInformation)`
    `void` | `setZusatzinformationPatient(String zusatzinformationPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Zusatzinformation

          public Zusatzinformation()

  - ### Method Detail

    - #### getZusatzinformationPatient

          public String getZusatzinformationPatient()

      Zusatzinformationen für den Patienten.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Zusatzinformation.

    - #### setZusatzinformationPatient

          public void setZusatzinformationPatient(String zusatzinformationPatient)

    - #### getAlternativeEinnahme

          public String getAlternativeEinnahme()

      Informationen zur alternativen Einnahme (zum Beispiel: Einnahme bei Bedarf).
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Alternative Einnahmeinformationen.

    - #### setAlternativeEinnahme

          public void setAlternativeEinnahme(String alternativeEinnahme)

    - #### getErgaenzendeInformation

          public String getErgaenzendeInformation()

      Ergänzende Informationen zur Abgabe (zum Beispiel: spezielle Anweisungen für den Apotheker).
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Ergänzende Informationen.

    - #### setErgaenzendeInformation

          public void setErgaenzendeInformation(String ergaenzendeInformation)